This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 170980 - iBook G3 won't wake up from suspend if hal is running
iBook G3 won't wake up from suspend if hal is running
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 17:06 EDT by Lauri Ahonen
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lauri Ahonen 2005-10-16 17:06:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
http://moonbase.rydia.net/mental/blog/life/ibook-suspend-problems.html

Describes the problem better than I ever could. However, I don't know how to automaticly stop HAL on suspend and restart it on wakeup.

Doing sudo /etc/init.d/haldaemon stop before closing the lid works ok, but I tend to forget that in a hurry..

Version-Release number of selected component (if applicable):
hal-0.5.2-2, kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Modify xorg config to prevent _that_ killing suspend (disable dri, add option "agpmode" "4" to device)
2. Install apmud to enable suspend
3. close lid, wait, open lid
  

Actual Results:  After a few status messages the laptop freezes

Expected Results:  The laptop should return to desktop normally

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:17:23 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 03:52:33 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 3 Lauri Ahonen 2008-03-09 08:10:19 EDT
Sorry, no way to test this. Suprisingly, I don't have the same laptop that I 
had in 2005 :)

-Lauri

Note You need to log in before you can comment on or make changes to this bug.